Subject: 1.3.14 Permission denied while doing a touch on MVFS
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Cc: Andrew DeFaria <[email-masked]>
Date: Thu, 31 Oct 2002 15:22:18 -0800

I just installed 1.3.14 and am now experiencing problems with permission 
denied when doing a touch but only when working on Clearcase's MVFS file 
system (i.e. a dynamic view). AFAICT I do have ntsec set and a proper 
/etc/passwd file, etc. This all sounds like other permissions problems 
that I've read about recently but the kicker is that in involves a 3rd 
party file system from Rational, Clearcase's MVFS file system. Here's an 
example:

$ cd /tmp
$ touch file
$ touch file

No problems.

$ cd //server/share
$ touch file
$ touch file

No problems on a share either

$ cd M:/myview/myvob
$ touch file
$ touch file
touch: setting times of `file': Permission denied
$ ls -l file
-rw-r--r--    1 adefaria Domain U        0 Oct 31 15:17 file

(Note that the M drive is the drive assigned to Clearcase dynamic views).

Now if I hop on a machine running 1.3.12:

$ cd M:/myview/myvob
$ touch file
$ touch file

No problems! Seems to me that 1.3.14 introduced this problem. What 
things can I check to find out why this is failing on 1.3.14?

(I've attached an strace of the touch file exhibiting the problem on MVFS)

Thanks.
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/